﻿using System.Collections.Generic;

namespace Dss.Api.Examples.Internal
{

    public class ExampleArea
    {

        public ExampleArea(string description, IEnumerable<Example> examples)
        {
            Description = description;
            Examples = examples;
        }

        public string Description { get; private set; }
        public IEnumerable<Example> Examples { get; private set; }

        public override string ToString()
        {
            return Description;
        }

    }

}
