﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Security.Authentication;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Dss.Api.Examples.Properties;
using DataScope.Select.Api;
using DataScope.Select.Api.Authentication;

namespace Dss.Api.Examples
{
    /// <summary>
    /// Interaction logic for Login.xaml
    /// </summary>
    public partial class Login : Window
    {
        public Login()
        {
            InitializeComponent();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            var uri = new Uri(Settings.Default.ServiceUri);
            var context = new AuthenticationContext(uri);
            try
            {
                context.Authenticate(uri, new NetworkCredential(UserName.Text, Password.Password));
                DialogResult = true;
            }
            catch (UnauthorizedException)
            {
                ErrorMessage.Visibility = Visibility.Visible;
            }
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }
    }
}
